<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <title>Friend Form</title>
    <style type="text/css">
      body {
        font-family: 'Times New Roman', Times, serif;
        color: rgb(3, 1, 100);
        text-align: center;
        background-color: #b4dae9 
      }
      h1 {
          font-family: 'Times New Roman', Times, serif;
      }
      </style>
  </head>
<style>
    input[type=text], select {
        width: 20%;
        padding: 6px 8px;
        margin: 2px 0;
        display: inline-block;
        border: 1px solid rgb(240, 243, 220);
        border-radius: 2px;
        box-sizing: border-box;
        font-family: 'Times New Roman', Times, serif;
    }

    input[type=number], select {
        width: 20%;
        padding: 6px 8px;
        margin: 2px 0;
        display: inline-block;
        border: 1px solid rgb(240, 243, 220);
        border-radius: 2px;
        box-sizing: border-box;
        font-family: 'Times New Roman', Times, serif;
    }

    input[type=date], select {
        width: 20%;
        padding: 6px 8px;
        margin: 2px 0;
        display: inline-block;
        border: 1px solid rgb(240, 243, 220);
        border-radius: 2px;
        box-sizing: border-box;
        font-family: 'Times New Roman', Times, serif;
    }

    input[type=submit] {
        width: 30%;
        background-color: #307cbb;
        color: #ece8e8;
        padding: 14px 10px;
        margin: 6px 0;
        border: none;
        border-radius: 17px;
        cursor: pointer;
    }

    input[type=submit]:hover {
        background-color: #233c80;
    }

    body {
        font-family: 'Times New Roman', Times, serif, Helvetica, sans-serif;
    }
</style>

<body>
    <h1> Friend Form </h1>
    <form action="" method="POST"> 
        {% csrf_token %} <!-- Perlindungan dari Cross Site Request Forgeries -->
        {{ form.as_p }} <!-- Me-render django forms dalam bentuk paragraf -->
        <input type="submit" value="Add">
    </form>
</body>
